GLIBC をアップデートすると broke pam_winbind モジュールが壊れる

Solution Verified - Updated -

Issue

  • glibc パッケージを glibc-2.12-1.166.el6_7.7.x86_64 にアップデートすると、以下のエラーが /var/log/secure に出力されます。
PAM unable to dlopen(/lib64/security/pam_oddjob_mkhomedir.so):/lib64/librt.so.1: symbol __pthread_get_minstack, version GLIBC_PRIVATE not defined in file libpthread.so.0 with link time reference.
  • システムは、/var/log/secure に出力される以下のエラーを表示します。
PAM unable to dlopen(/lib64/security/pam_winbind.so):/lib64/librt.so.1: symbol __pthread_get_minstack, version GLIBC_PRIVATE not defined in file libpthread.so.0
PAM adding faulty module:/lib64/security/pam_winbind.so

Environment

  • Red Hat Enterprise Linux 6.x
  • glibc-2.12-1.166.el6_7.7.x86_64

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In